Subject: Re: linux-next: build failure after merge of the bpf-next tree

From: Uros Bizjak <[email-masked]>
Date: Wed, 19 Mar 2025 17:06:37 +0100

On Wed, Mar 19, 2025 at 3:55 PM Alexei Starovoitov
<[email-masked]> wrote:
>
> On Wed, Mar 19, 2025 at 7:36 AM Kumar Kartikeya Dwivedi
> <[email-masked]> wrote:
> >
> > > >
> > > > I've sent a fix [0], but unfortunately I was unable to reproduce the
> > > > problem with an LLVM >= 19 build, idk why. I will try with GCC >= 14
> > > > as the patches require to confirm, but based on the error I am 99%
> > > > sure it will fix the problem.
> > >
> > > Probably because __seg_gs has CC_HAS_NAMED_AS depends on CC_IS_GCC.
> > > Let me give it a go with GCC.
> > >
> >
> > Can confirm now that this fixes it, I just did a build with GCC 14
> > where Uros's __percpu checks kick in.
>
> Great. Thanks for checking and quick fix.
>
> btw clang supports it with __attribute__((address_space(256))),
> so CC_IS_GCC probably should be relaxed.

https://github.com/llvm/llvm-project/issues/93449

needs to be fixed first. Also, the feature has to be thoroughly tested
(preferably by someone having a deep knowledge of clang) before it is
enabled by default.

Thanks,
Uros.